Index: /trunk/NEMOGCM/CONFIG/SHARED/field_def.xml
===================================================================
--- /trunk/NEMOGCM/CONFIG/SHARED/field_def.xml	(revision 3974)
+++ /trunk/NEMOGCM/CONFIG/SHARED/field_def.xml	(revision 3975)
@@ -249,13 +249,18 @@
        <field id="NH4"      long_name="Ammonium Concentration"                   unit="mmol/m3" />
 
+       <!-- PISCES with Kriest parametisation : variables available with key_kriest -->
+       <field id="Num"      long_name="Number of organic particles"              unit="nbr" />
+
+       <!-- PISCES light : variables available with key_pisces_reduced -->
        <field id="DET"      long_name="Detritus"                                 unit="mmol-N/m3" />
        <field id="DOM"      long_name="Dissolved Organic Matter"                 unit="mmol-N/m3" />
 
+       <!-- CFC11 : variables available with key_cfc -->
        <field id="CFC11"    long_name="CFC-11 Concentration"                     unit="umol/L" />
+       <!-- Bomb C14 : variables available with key_c14b -->
        <field id="C14B"     long_name="Bomb C14 Concentration"                   unit="ration" />
      </field_group>
 
-      <!-- diad on T grid : variables available with key_diatrc -->
-
+      <!-- PISCES additional diagnostics on T grid  -->
      <field_group id="diad_T" grid_ref="grid_T_2D">
        <field id="PH"          long_name="PH"                                      unit="-"          grid_ref="grid_T_3D" />
@@ -311,33 +316,45 @@
        <field id="Heup"        long_name="Euphotic layer depth"                    unit="m"                            />
        <field id="Irondep"     long_name="Iron deposition from dust"               unit="mol/m2/s"                     />
-       <field id="Ironsed"     long_name="Iron deposition from sediment"           unit="mol/m2/s"  grid_ref="grid_T_3D"  />
-
-       <field id="FNO3PHY"  long_name="FNO3PHY"                             unit="-"  grid_ref="grid_T_3D" /> 
-       <field id="FNH4PHY"  long_name="FNH4PHY"                             unit="-"  grid_ref="grid_T_3D" /> 
-       <field id="FNH4NO3"  long_name="FNH4NO3"                             unit="-"  grid_ref="grid_T_3D" /> 
-       <field id="TNO3PHY"  long_name="TNO3PHY"                             unit="-"  /> 
-       <field id="TNH4PHY"  long_name="TNH4PHY"                             unit="-"  /> 
-       <field id="TPHYDOM"  long_name="TPHYDOM"                             unit="-"  /> 
-       <field id="TPHYNH4"  long_name="TPHYNH4"                             unit="-"  /> 
-       <field id="TPHYZOO"  long_name="TPHYZOO"                             unit="-"  /> 
-       <field id="TPHYDET"  long_name="TPHYDET"                             unit="-"  /> 
-       <field id="TDETZOO"  long_name="TDETZOO"                             unit="-"  /> 
-       <field id="TZOODET"  long_name="TZOODET"                             unit="-"  /> 
-       <field id="TZOOBOD"  long_name="TZOOBOD"                             unit="-"  /> 
-       <field id="TZOONH4"  long_name="TZOONH4"                             unit="-"  /> 
-       <field id="TZOODOM"  long_name="TZOODOM"                             unit="-"  /> 
-       <field id="TNH4NO3"  long_name="TNH4NO3"                             unit="-"  /> 
-       <field id="TDOMNH4"  long_name="TDOMNH4"                             unit="-"  /> 
-       <field id="TDETNH4"  long_name="TDETNH4"                             unit="-"  /> 
-       <field id="TPHYTOT"  long_name="TPHYTOT"                             unit="-"  /> 
-       <field id="TZOOTOT"  long_name="TZOOTOT"                             unit="-"  /> 
-       <field id="SEDPOC"   long_name="SEDPOC"                              unit="-"  /> 
-       <field id="TDETSED"  long_name="TDETSED"                             unit="-"  /> 
-
-       <field id="qtrCFC11"     long_name="Air-sea flux of CFC-11"                   unit="mol/m2/s"   />
-       <field id="qintCFC11"    long_name="Cumulative air-sea flux of CFC-11"        unit="mol/m2"     />
-       <field id="qtrC14b"      long_name="Air-sea flux of Bomb C14"                 unit="mol/m2/s"   />
-       <field id="qintC14b"     long_name="Cumulative air-sea flux of Bomb C14"      unit="mol/m2"     />
-       <field id="fdecay"       long_name="Radiactive decay of Bomb C14"             unit="mol/m3"  grid_ref="grid_T_3D"  />
+       <field id="Ironsed"     long_name="Iron deposition from sediment"           unit="mol/m2/s"  grid_ref="grid_T_3D "/>
+
+       <!-- PISCES with Kriest parametisation : variables available with key_kriest -->
+       <field id="POCFlx"      long_name="Particulate organic C flux"              unit="mol/m2/s"   grid_ref="grid_T_3D" />
+       <field id="NumFlx"      long_name="Particle number flux"                    unit="nbr/m2/s"   grid_ref="grid_T_3D" />
+       <field id="SiFlx"       long_name="Biogenic Si flux"                        unit="mol/m2/s"   grid_ref="grid_T_3D" />
+       <field id="CaCO3Flx"    long_name="CaCO3 flux"                              unit="mol/m2/s"   grid_ref="grid_T_3D" />
+       <field id="xnum"        long_name="Number of particles in aggregats"        unit="-"          grid_ref="grid_T_3D" />
+       <field id="W1"          long_name="sinking speed of mass flux"              unit="m2/s"       grid_ref="grid_T_3D" />
+       <field id="W2"          long_name="sinking speed of number flux"            unit="m2/s"       grid_ref="grid_T_3D" />
+
+       <!-- PISCES light : variables available with key_pisces_reduced -->
+       <field id="FNO3PHY"     long_name="FNO3PHY"                                 unit="-"          grid_ref="grid_T_3D" /> 
+       <field id="FNH4PHY"     long_name="FNH4PHY"                                 unit="-"          grid_ref="grid_T_3D" /> 
+       <field id="FNH4NO3"     long_name="FNH4NO3"                                 unit="-"          grid_ref="grid_T_3D" /> 
+       <field id="TNO3PHY"     long_name="TNO3PHY"                                 unit="-"  /> 
+       <field id="TNH4PHY"     long_name="TNH4PHY"                                 unit="-"  /> 
+       <field id="TPHYDOM"     long_name="TPHYDOM"                                 unit="-"  /> 
+       <field id="TPHYNH4"     long_name="TPHYNH4"                                 unit="-"  /> 
+       <field id="TPHYZOO"     long_name="TPHYZOO"                                 unit="-"  /> 
+       <field id="TPHYDET"     long_name="TPHYDET"                                 unit="-"  /> 
+       <field id="TDETZOO"     long_name="TDETZOO"                                 unit="-"  /> 
+       <field id="TZOODET"     long_name="TZOODET"                                 unit="-"  /> 
+       <field id="TZOOBOD"     long_name="TZOOBOD"                                 unit="-"  /> 
+       <field id="TZOONH4"     long_name="TZOONH4"                                 unit="-"  /> 
+       <field id="TZOODOM"     long_name="TZOODOM"                                 unit="-"  /> 
+       <field id="TNH4NO3"     long_name="TNH4NO3"                                 unit="-"  /> 
+       <field id="TDOMNH4"     long_name="TDOMNH4"                                 unit="-"  /> 
+       <field id="TDETNH4"     long_name="TDETNH4"                                 unit="-"  /> 
+       <field id="TPHYTOT"     long_name="TPHYTOT"                                 unit="-"  /> 
+       <field id="TZOOTOT"     long_name="TZOOTOT"                                 unit="-"  /> 
+       <field id="SEDPOC"      long_name="SEDPOC"                                  unit="-"  /> 
+       <field id="TDETSED"     long_name="TDETSED"                                 unit="-"  /> 
+
+       <!-- CFC11 : variables available with key_cfc -->
+       <field id="qtrCFC11"    long_name="Air-sea flux of CFC-11"                   unit="mol/m2/s"   />
+       <field id="qintCFC11"   long_name="Cumulative air-sea flux of CFC-11"        unit="mol/m2"     />
+       <!-- Bomb C14 : variables available with key_c14b -->
+       <field id="qtrC14b"     long_name="Air-sea flux of Bomb C14"                 unit="mol/m2/s"   />
+       <field id="qintC14b"    long_name="Cumulative air-sea flux of Bomb C14"      unit="mol/m2"     />
+       <field id="fdecay"      long_name="Radiactive decay of Bomb C14"             unit="mol/m3"  grid_ref="grid_T_3D"  />
      </field_group>
 