Index: branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DOM/dom_oce.F90
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DOM/dom_oce.F90	(revision 3973)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DOM/dom_oce.F90	(revision 3989)
@@ -72,6 +72,4 @@
    LOGICAL, PUBLIC ::   lzoom_s    =  .FALSE.   !: South zoom type flag
    LOGICAL, PUBLIC ::   lzoom_n    =  .FALSE.   !: North zoom type flag
-   LOGICAL, PUBLIC ::   lzoom_arct =  .FALSE.   !: ORCA    arctic zoom flag
-   LOGICAL, PUBLIC ::   lzoom_anta =  .FALSE.   !: ORCA antarctic zoom flag
 
    !                                     !!! domain parameters linked to mpp
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DOM/domcfg.F90
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DOM/domcfg.F90	(revision 3973)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DOM/domcfg.F90	(revision 3989)
@@ -168,19 +168,23 @@
          SELECT CASE ( jp_cfg )
          CASE ( 2 )                               !  ORCA_R2 configuration
-            IF(  jpiglo  == 142    .AND. jpjglo  ==  53 .AND.   &
-               & jpizoom ==  21    .AND. jpjzoom ==  97         )   lzoom_arct = .TRUE.
-            IF(  jpiglo  == jpidta .AND. jpjglo  ==  50 .AND.   &
-               & jpizoom ==   1    .AND. jpjzoom ==   1         )   lzoom_anta = .TRUE.
+            IF(  cp_cfz == "arctic"    .AND. jpiglo  == 142    .AND. jpjglo  ==  53 .AND.   &
+               & jpizoom ==  21    .AND. jpjzoom ==  97         )   THEN
+              IF(lwp) WRITE(numout,*) '          ORCA configuration: arctic zoom '
+            ENDIF
+            IF(  cp_cfz == "antarctic" .AND. jpiglo  == jpidta .AND. jpjglo  ==  50 .AND.   &
+               & jpizoom ==   1    .AND. jpjzoom ==   1         )   THEN
+              IF(lwp) WRITE(numout,*) '          ORCA configuration: antarctic zoom '
+            ENDIF
             !                             
          CASE ( 05 )                              !  ORCA_R05 configuration
-            IF(  jpiglo  == 562    .AND. jpjglo  == 202 .AND.   &
-               & jpizoom ==  81    .AND. jpjzoom == 301         )   lzoom_arct = .TRUE.
-            IF(  jpiglo  == jpidta .AND. jpjglo  == 187 .AND.   &
-               & jpizoom ==   1    .AND. jpjzoom ==   1         )   lzoom_anta = .TRUE.
+            IF(    cp_cfz == "arctic"    .AND. jpiglo  == 562    .AND. jpjglo  == 202 .AND.   &
+               & jpizoom ==  81    .AND. jpjzoom == 301         )   THEN
+              IF(lwp) WRITE(numout,*) '          ORCA configuration: arctic zoom '
+            ENDIF
+            IF(    cp_cfz == "antarctic" .AND. jpiglo  == jpidta .AND. jpjglo  == 187 .AND.   &
+               & jpizoom ==   1    .AND. jpjzoom ==   1         )   THEN
+              IF(lwp) WRITE(numout,*) '          ORCA configuration: antarctic zoom '
+            ENDIF
          END SELECT
-         !
-         IF(lwp) WRITE(numout,*) '          ORCA configuration: antarctic/arctic zoom flags : '
-         IF(lwp) WRITE(numout,*) '             lzoom_arct = ', lzoom_arct, ' (T=   arctic zoom, F=global)'
-         IF(lwp) WRITE(numout,*) '             lzoom_anta = ', lzoom_anta, ' (T=antarctic zoom, F=global)'
          !
       ENDIF
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90	(revision 3973)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90	(revision 3989)
@@ -564,5 +564,5 @@
       ! Configuration specific domain modifications
       ! (here, ORCA arctic configuration: suppress Med Sea)
-      IF( cp_cfg == "orca" .AND. lzoom_arct ) THEN
+      IF( cp_cfg == "orca" .AND. cp_cfz == "arctic" ) THEN
          SELECT CASE ( jp_cfg )
          !                                        ! =======================