Index: branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/CONFIG/AMM12/EXP00/namelist
===================================================================
--- branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/CONFIG/AMM12/EXP00/namelist	(revision 4016)
+++ branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/CONFIG/AMM12/EXP00/namelist	(revision 4029)
@@ -106,4 +106,9 @@
    rn_rdth     =  300.           !  depth variation of tracer time step  (used if nn_acc=1)
 /
+!-----------------------------------------------------------------------
+&namcrs        !   Grid coarsening for dynamics output and/or 
+               !   passive tracer coarsened online simulations     
+!-----------------------------------------------------------------------
+
 !-----------------------------------------------------------------------
 &namtsd    !   data : Temperature  & Salinity
Index: branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/CONFIG/GYRE/EXP00/namelist
===================================================================
--- branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/CONFIG/GYRE/EXP00/namelist	(revision 4016)
+++ branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/CONFIG/GYRE/EXP00/namelist	(revision 4029)
@@ -106,4 +106,8 @@
    rn_rdth     =  800.           !  depth variation of tracer time step (used if nn_acc=1)
 /
+!-----------------------------------------------------------------------
+&namcrs        !   Grid coarsening for dynamics output and/or 
+               !   passive tracer coarsened online simulations     
+!-----------------------------------------------------------------------
 !-----------------------------------------------------------------------
 &namtsd    !   data : Temperature  & Salinity
Index: branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist
===================================================================
--- branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist	(revision 4016)
+++ branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist	(revision 4029)
@@ -106,4 +106,8 @@
    rn_rdth     =  800.           !  depth variation of tracer time step (used if nn_acc=1)
 /
+!-----------------------------------------------------------------------
+&namcrs        !   Grid coarsening for dynamics output and/or
+               !   passive tracer coarsened online simulations
+!-----------------------------------------------------------------------
 !-----------------------------------------------------------------------
 &namtsd    !   data : Temperature  & Salinity
Index: branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist
===================================================================
--- branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 4016)
+++ branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 4029)
@@ -105,5 +105,5 @@
    rn_rdtmax   = 28800.          !  maximum time step on tracers (used if nn_acc=1)
    rn_rdth     =  800.           !  depth variation of tracer time step  (used if nn_acc=1)
-   ln_crs      = .true.      !  Logical switch for coarsening module 
+   ln_crs      = .false.      !  Logical switch for coarsening module 
 /
 !-----------------------------------------------------------------------
Index: branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist
===================================================================
--- branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist	(revision 4016)
+++ branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist	(revision 4029)
@@ -93,4 +93,8 @@
    rn_rdth     =  800.           !  depth variation of tracer time step  (used if nn_acc=1)
 /
+!-----------------------------------------------------------------------
+&namcrs        !   Grid coarsening for dynamics output and/or 
+               !   passive tracer coarsened online simulations     
+!-----------------------------------------------------------------------
 !-----------------------------------------------------------------------
 &namtsd    !   data : Temperature  & Salinity                           
Index: branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_pisces
===================================================================
--- branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_pisces	(revision 4016)
+++ branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_pisces	(revision 4029)
@@ -261,4 +261,4 @@
 &nampismass     !  Mass conservation
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-   ln_check_mass =  .true.    !  Check mass conservation
-/
+   ln_check_mass =  .false.    !  Check mass conservation
+/
Index: branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_pisces
===================================================================
--- branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_pisces	(revision 4016)
+++ branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_pisces	(revision 4029)
@@ -261,4 +261,4 @@
 &nampismass     !  Mass conservation
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-   ln_check_mass =  .true.    !  Check mass conservation
-/
+   ln_check_mass =  .false.    !  Check mass conservation
+/
Index: branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/CONFIG/ORCA2_SAS_LIM/EXP00/namelist
===================================================================
--- branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/CONFIG/ORCA2_SAS_LIM/EXP00/namelist	(revision 4016)
+++ branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/CONFIG/ORCA2_SAS_LIM/EXP00/namelist	(revision 4029)
@@ -93,4 +93,8 @@
    rn_rdth     =  800.           !  depth variation of tracer time step  (used if nn_acc=1)
 /
+!-----------------------------------------------------------------------
+&namcrs        !   Grid coarsening for dynamics output and/or
+               !   passive tracer coarsened online simulations
+!-----------------------------------------------------------------------
 !-----------------------------------------------------------------------
 &namtsd    !   data : Temperature  & Salinity                           