Index: branches/2013/dev_r3987_UKMO4_OBS/NEMOGCM/NEMO/OOO_SRC/off_netcdf.F90
===================================================================
--- branches/2013/dev_r3987_UKMO4_OBS/NEMOGCM/NEMO/OOO_SRC/off_netcdf.F90	(revision 4030)
+++ branches/2013/dev_r3987_UKMO4_OBS/NEMOGCM/NEMO/OOO_SRC/off_netcdf.F90	(revision 4031)
@@ -119,10 +119,4 @@
    WRITE(cf_end, FMT="(I4.4,'.nc')") knproc
    cfname = trim(cf_stem)//trim(cf_end)
-
-   ! ##################### DEBUG ############################
-   WRITE(*,*) 'Debug :', trim(cdate), trim(cmodel), trim(cname)
-   WRITE(*,*) 'Debug :', trim(cf_end)
-   WRITE(*,*) 'Debug :', trim(cfname)  
-   ! ##################### DEBUG ############################ 
 
 ! QC attribute string settings
Index: branches/2013/dev_r3987_UKMO4_OBS/NEMOGCM/NEMO/OOO_SRC/off_oper.F90
===================================================================
--- branches/2013/dev_r3987_UKMO4_OBS/NEMOGCM/NEMO/OOO_SRC/off_oper.F90	(revision 4030)
+++ branches/2013/dev_r3987_UKMO4_OBS/NEMOGCM/NEMO/OOO_SRC/off_oper.F90	(revision 4031)
@@ -24,5 +24,4 @@
          !! Initialise NEMO
          CALL nemo_init
-         WRITE(*,*) "DEBUG: ln_cl4 = ", ln_cl4
          !! Initialise Offline obs_oper data
          CALL off_data_init( ln_cl4 )
@@ -46,11 +45,8 @@
                CALL dia_obs_init
             END IF
-            WRITE(*,*) "DEBUG: Read model counterpart"
             !! Read next model counterpart
             CALL off_rea_dri
-            WRITE(*,*) "DEBUG: Interpolate matchup"
             !! Interpolate to observation space
             CALL off_oper_interp
-            WRITE(*,*) "DEBUG: Write matchup"
             !! Pipe to output files
             CALL dia_obs_wri
Index: branches/2013/dev_r3987_UKMO4_OBS/NEMOGCM/NEMO/OOO_SRC/off_read.F90
===================================================================
--- branches/2013/dev_r3987_UKMO4_OBS/NEMOGCM/NEMO/OOO_SRC/off_read.F90	(revision 4030)
+++ branches/2013/dev_r3987_UKMO4_OBS/NEMOGCM/NEMO/OOO_SRC/off_read.F90	(revision 4031)
@@ -46,5 +46,4 @@
       ELSE IF (TRIM(cmatchname) == '') THEN
          ! Feedback file settings
-         WRITE(*,*) "DEBUG: Feedback file read"
          CALL off_read_dailymean(TRIM(cdfilename), kindex)
          CALL off_read_juld(TRIM(cdfilename), kindex, cl4_modjuld)
@@ -171,7 +170,8 @@
          WRITE(*,*) "Opening :", TRIM(filename)
          ! Open Netcdf file to find dimension id
-         istat = nf90_open(trim(filename),nf90_noclobber,ncid)
+         istat = nf90_open(path=TRIM(filename), mode=nf90_nowrite, ncid=ncid)
          IF ( istat /= nf90_noerr ) THEN
              WRITE(*,*) "WARNING: Could not open ", trim(filename)
+             WRITE(*,*) "ERROR: ", nf90_strerror(istat)
          ENDIF
          istat = nf90_inq_dimid(ncid,'x',xdim)
@@ -194,6 +194,4 @@
             start_n = (/ nimpp, njmpp, 1,   ifcst /)
             count_n = (/ nlci,  nlcj,  jpk, 1     /)
-            WRITE(*,*) "DEBUG: start_n ", start_n  
-            WRITE(*,*) "DEBUG: count_n ", count_n  
             start_s = (/ nimpp, njmpp, ifcst /)
             count_s = (/ nlci,  nlcj,  1     /)
@@ -204,8 +202,4 @@
             istat = nf90_get_att(ncid, varid, '_FillValue', fill_val)
             istat = nf90_get_var(ncid, varid, temp_tn, start_n, count_n)
-            ! Diagnose reading problems
-            WRITE(*,*) "DEBUG: Max. temp_tn = ", MAXVAL(temp_tn)
-            WRITE(*,*) "DEBUG: Ave. temp_tn = ", SUM(temp_tn, temp_tn>0)/(MAX(1,COUNT(temp_tn>0)))
-            WRITE(*,*) "DEBUG: Min. temp_tn = ", MINVAL(temp_tn)
             WHERE(temp_tn(:,:,:) == fill_val) temp_tn(:,:,:) = fbrmdi
       
@@ -249,9 +243,4 @@
                 sshn(:,nlcj+1:) = 0
             END IF
-
-            ! Diagnose reading problems
-            WRITE(*,*) "DEBUG: Max. tsn = ", MAXVAL(tsn)
-            WRITE(*,*) "DEBUG: Ave. tsn = ", SUM(tsn, tsn>0)/(MAX(1,COUNT(tsn>0)))
-            WRITE(*,*) "DEBUG: Min. tsn = ", MINVAL(tsn)
 
             ! Deallocate arrays
Index: branches/2013/dev_r3987_UKMO4_OBS/NEMOGCM/NEMO/OOO_SRC/off_write.F90
===================================================================
--- branches/2013/dev_r3987_UKMO4_OBS/NEMOGCM/NEMO/OOO_SRC/off_write.F90	(revision 4030)
+++ branches/2013/dev_r3987_UKMO4_OBS/NEMOGCM/NEMO/OOO_SRC/off_write.F90	(revision 4031)
@@ -52,5 +52,4 @@
          ! Open netcdf file
          CALL chkerr(nf90_open(trim(cdfilename), nf90_write, ncid), cpname, __LINE__ )
-         WRITE(*, *) 'DEBUG: off_wri_extra_3d: ', TRIM(cdfilename)
          ! Write data
          CALL chkerr(nf90_inq_varid(ncid,TRIM(cdvarname), varid),cpname, __LINE__ )
@@ -88,5 +87,4 @@
          ! Open netcdf file
          CALL chkerr(nf90_open(trim(cdfilename), nf90_write, ncid), cpname, __LINE__ )
-         WRITE(*, *) 'DEBUG: off_wri_extra_4d_index: ', TRIM(cdfilename), TRIM(cdvarname)
          ! Write data
          CALL chkerr(nf90_inq_varid(ncid,TRIM(cdvarname), varid),cpname, __LINE__ )
@@ -121,5 +119,4 @@
          ! Open netcdf file
          CALL chkerr(nf90_open(trim(cdfilename), nf90_write, ncid), cpname, __LINE__ )
-         WRITE(*, *) 'DEBUG: off_wri_extra_4d: ', TRIM(cdfilename), TRIM(cdvarname)
          ! Write data
          CALL chkerr(nf90_inq_varid(ncid,TRIM(cdvarname), varid),cpname, __LINE__ )