Index: branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsbc.F90
===================================================================
--- branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsbc.F90	(revision 4014)
+++ branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsbc.F90	(revision 4064)
@@ -40,5 +40,5 @@
    REAL(wp), PUBLIC  :: diazolight  = 50._wp     !: Nitrogen fixation sensitivty to light 
    REAL(wp), PUBLIC  :: concfediaz  = 1.E-10_wp  !: Fe half-saturation Cste for diazotrophs 
-   REAL(wp)          :: hratio      = 9.E-5_wp   !: Fe:3He ratio assumed for vent iron supply
+   REAL(wp)          :: hratio      = 1.e+7_wp   !: Fe:3He ratio assumed for vent iron supply
 
    LOGICAL , PUBLIC  :: ll_sbc
@@ -488,6 +488,6 @@
          CALL iom_get  ( numhydro, jpdom_data, TRIM( sn_hydrofe%clvar ), hydrofe(:,:,:), 1 )
          CALL iom_close( numhydro )
-         !
-         hydrofe(:,:,:) = ( hydrofe(:,:,:) * hratio ) / ( cvol(:,:,:) * ryyss + rtrn ) / fse3t(:,:,:)
+         !                                                        ! factor 1000 to convert from mol/m3 to mol/L
+         hydrofe(:,:,:) = ( hydrofe(:,:,:) * hratio ) / ( cvol(:,:,:) * ryyss + rtrn ) / 1000._wp 
          !
       ENDIF
Index: branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/TOP_SRC/trcini.F90
===================================================================
--- branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/TOP_SRC/trcini.F90	(revision 4014)
+++ branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/TOP_SRC/trcini.F90	(revision 4064)
@@ -75,19 +75,10 @@
          &  CALL ctl_stop( ' Cross Land Advection not yet implemented with passive tracer ; nn_cla must be 0' )
 
-      CALL trc_nam                  ! read passive tracers namelists
-      !
-      IF(lwp) WRITE(numout,*)
-      IF( ln_rsttr ) THEN
-        !
-        IF( lk_offline )  neuler = 1   ! Set time-step indicator at nit000 (leap-frog)
-        CALL trc_rst_cal( nittrc000, 'READ' )   ! calendar
-        !
-      ELSE
-        IF( lk_offline )  THEN
-           neuler = 0                  ! Set time-step indicator at nit000 (euler)
-           CALL day_init               ! set calendar
-        ENDIF
-        !
-      ENDIF
+      CALL trc_nam      ! read passive tracers namelists
+      !
+      IF(lwp) WRITE(numout,*)
+      !
+      IF( ln_rsttr .AND. .NOT. lk_offline ) CALL trc_rst_cal( nit000, 'READ' )   ! calendar
+      !
       IF(lwp) WRITE(numout,*)
                                                               ! masked grid volume
@@ -107,5 +98,5 @@
       IF( lwp ) THEN
          !
-         CALL ctl_opn( numstr, 'tracer.stat', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE., narea )
+         CALL ctl_opn( numstr, 'tracer.stat', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, numout, lwp , narea )
          !
       ENDIF
Index: branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/TOP_SRC/trcnam.F90
===================================================================
--- branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/TOP_SRC/trcnam.F90	(revision 4014)
+++ branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/TOP_SRC/trcnam.F90	(revision 4064)
@@ -32,4 +32,5 @@
    PRIVATE 
 
+   PUBLIC trc_nam_run  ! called in trcini
    PUBLIC trc_nam      ! called in trcini
 
@@ -44,4 +45,5 @@
 CONTAINS
 
+
    SUBROUTINE trc_nam
       !!---------------------------------------------------------------------
@@ -54,74 +56,34 @@
       !!                ( (PISCES, CFC, MY_TRC )
       !!---------------------------------------------------------------------
-      INTEGER ::  jn, ierr
-      ! Definition of a tracer as a structure
-      TYPE(PTRACER), DIMENSION(jptra) :: sn_tracer  ! type of tracer for saving if not key_iomput
-      !!
-      NAMELIST/namtrc/ nn_dttrc, nn_writetrc, ln_rsttr, nn_rsttr, &
-         &             cn_trcrst_in, cn_trcrst_out, sn_tracer, ln_trcdta, &
-         &             ln_trcdmp, ln_trcdmp_clo, ln_top_euler
-#if defined key_trdmld_trc  || defined key_trdtrc
-      NAMELIST/namtrc_trd/ nn_trd_trc, nn_ctls_trc, rn_ucf_trc, &
-         &                ln_trdmld_trc_restart, ln_trdmld_trc_instant, &
-         &                cn_trdrst_trc_in, cn_trdrst_trc_out, ln_trdtrc
-#endif
-      NAMELIST/namtrc_dia/ ln_diatrc, ln_diabio, nn_writedia, nn_writebio
-
-      !!---------------------------------------------------------------------
-
-      IF(lwp) WRITE(numout,*) 'trc_nam : read the passive tracer namelists'
-      IF(lwp) WRITE(numout,*) '~~~~~~~'
-
-      CALL ctl_opn( numnat, 'namelist_top', 'OLD', 'FORMATTED', 'SEQUENTIAL', 1, numout, .FALSE. )
-
-      ! Namelist nattrc (files)
-      ! ----------------------------------------------
-      nn_dttrc      = 1                 ! default values
-      nn_writetrc   = 10 
-      ln_top_euler  = .FALSE.
-      ln_rsttr      = .FALSE.
-      nn_rsttr      =  0
-      cn_trcrst_in  = 'restart_trc'
-      cn_trcrst_out = 'restart_trc'
-      !
-      DO jn = 1, jptra
-         WRITE( sn_tracer(jn)%clsname,'("TR_",I1)'           ) jn
-         WRITE( sn_tracer(jn)%cllname,'("TRACER NUMBER ",I1)') jn
-         sn_tracer(jn)%clunit  = 'mmole/m3'
-         sn_tracer(jn)%llinit  = .FALSE.
-         sn_tracer(jn)%llsave  = .TRUE.
-      END DO
-      ln_trcdta     = .FALSE.
-      ln_trcdmp     = .FALSE.
-      ln_trcdmp_clo = .FALSE.
-
-
-      REWIND( numnat )               ! read nattrc
-      READ  ( numnat, namtrc )
-
-      DO jn = 1, jptra
-         ctrcnm    (jn) = TRIM( sn_tracer(jn)%clsname )
-         ctrcln    (jn) = TRIM( sn_tracer(jn)%cllname )
-         ctrcun    (jn) = TRIM( sn_tracer(jn)%clunit  )
-         ln_trc_ini(jn) =       sn_tracer(jn)%llinit
-         ln_trc_wri(jn) =       sn_tracer(jn)%llsave
-      END DO
-
-      !!KPE  computes the first time step of tracer model
-      nittrc000 = nit000 + nn_dttrc - 1
- 
+      INTEGER ::  jn
+
+      !                                        !   Parameters of the run 
+      IF( .NOT. lk_offline ) CALL trc_nam_run
+      
+      !                                        !  passive tracer informations
+      CALL trc_nam_trc
+      
+      !                                        !   Parameters of additional diagnostics
+      CALL trc_nam_dia
+
+      !                                        !   namelist of transport
+      CALL trc_nam_trp
+
+
+      IF( ln_rsttr )                      ln_trcdta = .FALSE.   ! restart : no need of clim data
+      !
+      IF( ln_trcdmp .OR. ln_trcdmp_clo )  ln_trcdta = .TRUE.   ! damping : need to have clim data
+      !
+      IF( .NOT.ln_trcdta ) THEN
+         ln_trc_ini(:) = .FALSE.
+      ENDIF
+
 
       IF(lwp) THEN                   ! control print
          WRITE(numout,*)
          WRITE(numout,*) ' Namelist : namtrc'
-         WRITE(numout,*) '   time step freq. for passive tracer           nn_dttrc      = ', nn_dttrc
-         WRITE(numout,*) '   restart  for passive tracer                  ln_rsttr      = ', ln_rsttr
-         WRITE(numout,*) '   control of time step for passive tracer      nn_rsttr      = ', nn_rsttr
-         WRITE(numout,*) '   first time step for pass. trac.              nittrc000     = ', nittrc000
-         WRITE(numout,*) '   frequency of outputs for passive tracers     nn_writetrc   = ', nn_writetrc  
          WRITE(numout,*) '   Read inputs data from file (y/n)             ln_trcdta     = ', ln_trcdta
          WRITE(numout,*) '   Damping of passive tracer (y/n)              ln_trcdmp     = ', ln_trcdmp
          WRITE(numout,*) '   Restoring of tracer on closed seas           ln_trcdmp_clo = ', ln_trcdmp_clo
-         WRITE(numout,*) '   Use euler integration for TRC (y/n)          ln_top_euler  = ', ln_top_euler
          WRITE(numout,*) ' '
          DO jn = 1, jptra
@@ -131,4 +93,23 @@
       ENDIF
 
+      IF(lwp) THEN                   ! control print
+         IF( ln_rsttr ) THEN
+            WRITE(numout,*)
+            WRITE(numout,*) '  Read a restart file for passive tracer : ', TRIM( cn_trcrst_in )
+            WRITE(numout,*)
+         ENDIF
+         IF( ln_trcdta .AND. .NOT.ln_rsttr ) THEN
+            WRITE(numout,*)
+            WRITE(numout,*) '  Some of the passive tracers are initialised from climatologies '
+            WRITE(numout,*)
+         ENDIF
+         IF( .NOT.ln_trcdta ) THEN
+            WRITE(numout,*)
+            WRITE(numout,*) '  All the passive tracers are initialised with constant values '
+            WRITE(numout,*)
+         ENDIF
+      ENDIF
+
+      
       rdttrc(:) = rdttra(:) * FLOAT( nn_dttrc )   ! vertical profile of passive tracer time-step
   
@@ -137,74 +118,4 @@
         WRITE(numout,*) '    Passive Tracer  time step    rdttrc  = ', rdttrc(1)
         WRITE(numout,*) 
-      ENDIF
-
-      ln_diatrc = .FALSE.
-      ln_diabio = .FALSE.
-      nn_writedia = 10
-      nn_writebio = 10
-
-      REWIND( numnat )               !  namelist namtoptrd : passive tracer trends diagnostic
-      READ  ( numnat, namtrc_dia )
-
-      IF(lwp) THEN
-         WRITE(numout,*)
-         WRITE(numout,*)
-         WRITE(numout,*) ' Namelist : namtrc_dia'
-         WRITE(numout,*) '    save additionnal diagnostics arrays         ln_diatrc   = ', ln_diatrc
-         WRITE(numout,*) '    save additionnal biology diagnostics arrays ln_diabio   = ', ln_diabio
-         WRITE(numout,*) '    frequency of outputs for additional arrays  nn_writedia = ', nn_writedia
-         WRITE(numout,*) '    frequency of outputs for biological trends  nn_writebio = ', nn_writebio
-         WRITE(numout,*) ' '
-      ENDIF
-
-      IF( ln_diatrc .AND. .NOT. lk_iomput ) THEN 
-         ALLOCATE( trc2d(jpi,jpj,jpdia2d), trc3d(jpi,jpj,jpk,jpdia3d),  &
-           &       ctrc2d(jpdia2d), ctrc2l(jpdia2d), ctrc2u(jpdia2d) ,  & 
-           &       ctrc3d(jpdia3d), ctrc3l(jpdia3d), ctrc3u(jpdia3d) ,  STAT = ierr ) 
-         IF( ierr > 0 )   CALL ctl_stop( 'STOP', 'trcnam: unable to allocate add. diag. array' )
-         !
-         trc2d(:,:,:  ) = 0._wp  ;   ctrc2d(:) = ' '   ;   ctrc2l(:) = ' '    ;    ctrc2u(:) = ' ' 
-         trc3d(:,:,:,:) = 0._wp  ;   ctrc3d(:) = ' '   ;   ctrc3l(:) = ' '    ;    ctrc3u(:) = ' ' 
-         !
-      ENDIF
-
-      IF( ( ln_diabio .AND. .NOT. lk_iomput ) .OR. l_trdtrc ) THEN
-         ALLOCATE( trbio (jpi,jpj,jpk,jpdiabio) , &
-           &       ctrbio(jpdiabio), ctrbil(jpdiabio), ctrbiu(jpdiabio), STAT = ierr ) 
-         IF( ierr > 0 )   CALL ctl_stop( 'STOP', 'trcnam: unable to allocate bio. diag. array' )
-         !
-         trbio(:,:,:,:) = 0._wp  ;   ctrbio(:) = ' '   ;   ctrbil(:) = ' '    ;    ctrbiu(:) = ' ' 
-         !
-      ENDIF
-
-      ! namelist of transport
-      ! ---------------------
-      CALL trc_nam_trp
-
-
-      IF( ln_rsttr )                      ln_trcdta = .FALSE.   ! restart : no need of clim data
-      !
-      IF( ln_trcdmp .OR. ln_trcdmp_clo )  ln_trcdta = .TRUE.   ! damping : need to have clim data
-      !
-      IF( .NOT.ln_trcdta ) THEN
-         ln_trc_ini(:) = .FALSE.
-      ENDIF
-
-      IF(lwp) THEN                   ! control print
-         IF( ln_rsttr ) THEN
-            WRITE(numout,*)
-            WRITE(numout,*) '  Read a restart file for passive tracer : ', TRIM( cn_trcrst_in )
-            WRITE(numout,*)
-         ENDIF
-         IF( ln_trcdta .AND. .NOT.ln_rsttr ) THEN
-            WRITE(numout,*)
-            WRITE(numout,*) '  Some of the passive tracers are initialised from climatologies '
-            WRITE(numout,*)
-         ENDIF
-         IF( .NOT.ln_trcdta ) THEN
-            WRITE(numout,*)
-            WRITE(numout,*) '  All the passive tracers are initialised with constant values '
-            WRITE(numout,*)
-         ENDIF
       ENDIF
 
@@ -260,4 +171,162 @@
    END SUBROUTINE trc_nam
 
+   SUBROUTINE trc_nam_run
+      !!---------------------------------------------------------------------
+      !!                     ***  ROUTINE trc_nam  ***
+      !!
+      !! ** Purpose :   read options for the passive tracer run (namelist) 
+      !!
+      !!---------------------------------------------------------------------
+      NAMELIST/namtrc_run/ nn_dttrc, nn_writetrc, ln_rsttr, nn_rsttr, ln_top_euler, &
+        &                  cn_trcrst_in, cn_trcrst_out
+
+      !!---------------------------------------------------------------------
+
+      IF(lwp) WRITE(numout,*) 
+      IF(lwp) WRITE(numout,*) 'trc_nam_run : read the passive tracer namelists'
+      IF(lwp) WRITE(numout,*) '~~~~~~~~~~~'
+
+      CALL ctl_opn( numnat, 'namelist_top', 'OLD', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE. )
+
+      ! Namelist nattrc (files)
+      ! ----------------------------------------------
+      nn_dttrc      = 1                 ! default values
+      nn_writetrc   = 10 
+      ln_top_euler  = .FALSE.
+      ln_rsttr      = .FALSE.
+      nn_rsttr      =  0
+      cn_trcrst_in  = 'restart_trc'
+      cn_trcrst_out = 'restart_trc'
+      !
+      REWIND( numnat )               ! read nattrc
+      READ  ( numnat, namtrc_run )
+
+      !  computes the first time step of tracer model
+      nittrc000 = nit000 + nn_dttrc - 1
+
+      IF(lwp) THEN                   ! control print
+         WRITE(numout,*)
+         WRITE(numout,*) ' Namelist : namtrc'
+         WRITE(numout,*) '   time step freq. for passive tracer           nn_dttrc      = ', nn_dttrc
+         WRITE(numout,*) '   restart  for passive tracer                  ln_rsttr      = ', ln_rsttr
+         WRITE(numout,*) '   control of time step for passive tracer      nn_rsttr      = ', nn_rsttr
+         WRITE(numout,*) '   first time step for pass. trac.              nittrc000     = ', nittrc000
+         WRITE(numout,*) '   frequency of outputs for passive tracers     nn_writetrc   = ', nn_writetrc  
+         WRITE(numout,*) ' '
+      ENDIF
+      !
+    END SUBROUTINE trc_nam_run
+
+
+   SUBROUTINE trc_nam_trc
+      !!---------------------------------------------------------------------
+      !!                     ***  ROUTINE trc_nam  ***
+      !!
+      !! ** Purpose :   read options for the passive tracer run (namelist) 
+      !!
+      !!---------------------------------------------------------------------
+      INTEGER ::  jn
+      ! Definition of a tracer as a structure
+      TYPE(PTRACER), DIMENSION(jptra) :: sn_tracer  ! type of tracer for saving if not key_iomput
+      !!
+      NAMELIST/namtrc/ sn_tracer, ln_trcdta,ln_trcdmp, ln_trcdmp_clo
+
+      !!---------------------------------------------------------------------
+
+      IF(lwp) WRITE(numout,*) 
+      IF(lwp) WRITE(numout,*) 'trc_nam : read the passive tracer namelists'
+      IF(lwp) WRITE(numout,*) '~~~~~~~'
+
+      !
+      DO jn = 1, jptra
+         WRITE( sn_tracer(jn)%clsname,'("TR_",I1)'           ) jn
+         WRITE( sn_tracer(jn)%cllname,'("TRACER NUMBER ",I1)') jn
+         sn_tracer(jn)%clunit  = 'mmole/m3'
+         sn_tracer(jn)%llinit  = .FALSE.
+         sn_tracer(jn)%llsave  = .TRUE.
+      END DO
+      ln_trcdta     = .FALSE.
+      ln_trcdmp     = .FALSE.
+      ln_trcdmp_clo = .FALSE.
+
+      REWIND( numnat )               ! read nattrc
+      READ  ( numnat, namtrc )
+
+      DO jn = 1, jptra
+         ctrcnm    (jn) = TRIM( sn_tracer(jn)%clsname )
+         ctrcln    (jn) = TRIM( sn_tracer(jn)%cllname )
+         ctrcun    (jn) = TRIM( sn_tracer(jn)%clunit  )
+         ln_trc_ini(jn) =       sn_tracer(jn)%llinit
+         ln_trc_wri(jn) =       sn_tracer(jn)%llsave
+      END DO
+      
+    END SUBROUTINE trc_nam_trc
+
+
+   SUBROUTINE trc_nam_dia
+      !!---------------------------------------------------------------------
+      !!                     ***  ROUTINE trc_nam_dia  ***
+      !!
+      !! ** Purpose :   read options for the passive tracer diagnostics
+      !!
+      !! ** Method  : - read passive tracer namelist 
+      !!              - read namelist of each defined SMS model
+      !!                ( (PISCES, CFC, MY_TRC )
+      !!---------------------------------------------------------------------
+      INTEGER ::  ierr
+#if defined key_trdmld_trc  || defined key_trdtrc
+      NAMELIST/namtrc_trd/ nn_trd_trc, nn_ctls_trc, rn_ucf_trc, &
+         &                ln_trdmld_trc_restart, ln_trdmld_trc_instant, &
+         &                cn_trdrst_trc_in, cn_trdrst_trc_out, ln_trdtrc
+#endif
+      NAMELIST/namtrc_dia/ ln_diatrc, ln_diabio, nn_writedia, nn_writebio
+
+      !!---------------------------------------------------------------------
+
+      IF(lwp) WRITE(numout,*) 
+      IF(lwp) WRITE(numout,*) 'trc_nam_dia : read the passive tracer diagnostics options'
+      IF(lwp) WRITE(numout,*) '~~~~~~~'
+
+      ln_diatrc = .FALSE.
+      ln_diabio = .FALSE.
+      nn_writedia = 10
+      nn_writebio = 10
+
+      REWIND( numnat )               !  namelist namtoptrd : passive tracer trends diagnostic
+      READ  ( numnat, namtrc_dia )
+
+      IF(lwp) THEN
+         WRITE(numout,*)
+         WRITE(numout,*)
+         WRITE(numout,*) ' Namelist : namtrc_dia'
+         WRITE(numout,*) '    save additionnal diagnostics arrays         ln_diatrc   = ', ln_diatrc
+         WRITE(numout,*) '    save additionnal biology diagnostics arrays ln_diabio   = ', ln_diabio
+         WRITE(numout,*) '    frequency of outputs for additional arrays  nn_writedia = ', nn_writedia
+         WRITE(numout,*) '    frequency of outputs for biological trends  nn_writebio = ', nn_writebio
+         WRITE(numout,*) ' '
+      ENDIF
+
+      IF( ln_diatrc .AND. .NOT. lk_iomput ) THEN 
+         ALLOCATE( trc2d(jpi,jpj,jpdia2d), trc3d(jpi,jpj,jpk,jpdia3d),  &
+           &       ctrc2d(jpdia2d), ctrc2l(jpdia2d), ctrc2u(jpdia2d) ,  & 
+           &       ctrc3d(jpdia3d), ctrc3l(jpdia3d), ctrc3u(jpdia3d) ,  STAT = ierr ) 
+         IF( ierr > 0 )   CALL ctl_stop( 'STOP', 'trcnam: unable to allocate add. diag. array' )
+         !
+         trc2d(:,:,:  ) = 0._wp  ;   ctrc2d(:) = ' '   ;   ctrc2l(:) = ' '    ;    ctrc2u(:) = ' ' 
+         trc3d(:,:,:,:) = 0._wp  ;   ctrc3d(:) = ' '   ;   ctrc3l(:) = ' '    ;    ctrc3u(:) = ' ' 
+         !
+      ENDIF
+
+      IF( ( ln_diabio .AND. .NOT. lk_iomput ) .OR. l_trdtrc ) THEN
+         ALLOCATE( trbio (jpi,jpj,jpk,jpdiabio) , &
+           &       ctrbio(jpdiabio), ctrbil(jpdiabio), ctrbiu(jpdiabio), STAT = ierr ) 
+         IF( ierr > 0 )   CALL ctl_stop( 'STOP', 'trcnam: unable to allocate bio. diag. array' )
+         !
+         trbio(:,:,:,:) = 0._wp  ;   ctrbio(:) = ' '   ;   ctrbil(:) = ' '    ;    ctrbiu(:) = ' ' 
+         !
+      ENDIF
+      !
+   END SUBROUTINE trc_nam_dia
+
 #else
    !!----------------------------------------------------------------------
@@ -267,4 +336,6 @@
    SUBROUTINE trc_nam                      ! Empty routine   
    END SUBROUTINE trc_nam
+   SUBROUTINE trc_nam_run                      ! Empty routine   
+   END SUBROUTINE trc_nam_run
 #endif
 
Index: branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/TOP_SRC/trcrst.F90
===================================================================
--- branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/TOP_SRC/trcrst.F90	(revision 4014)
+++ branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/TOP_SRC/trcrst.F90	(revision 4064)
@@ -197,4 +197,5 @@
 
          CALL iom_get ( numrtr, 'kt', zkt )   ! last time-step of previous run
+
          IF(lwp) THEN
             WRITE(numout,*) ' *** Info read in restart : '
@@ -216,8 +217,8 @@
             IF( iom_varid( numrtr, 'rdttrc1', ldstop = .FALSE. ) > 0 )   THEN
                CALL iom_get( numrtr, 'rdttrc1', zrdttrc1 )
-               IF( zrdttrc1 /= rdttrc(1) )   neuler = 0
+               IF( zrdttrc1 /= rdt * nn_dttrc )   neuler = 0
             ENDIF
             !                          ! define ndastp and adatrj
-            IF ( nn_rsttr == 2 ) THEN
+            IF( nn_rsttr == 2 ) THEN
                CALL iom_get( numrtr, 'ndastp', zndastp ) 
                ndastp = NINT( zndastp )